Subject: New Reply Received - Hello I have a missing order and a very delayed delivery that I haven’t been able to receive for the...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 10 Apr 2021 12:49:52 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Hello I have a missing order and a very delayed delivery that I haven’t been able to receive for the...  Ticket comment <div>I did and this is the amount of times I tried and they say the system isn’t allowing them to reschedule because of the status. The google coordinates provided by my side is correct. The driver called me telling me he’s on the way then re called and told me that he doesn’t want to work beyond his working hours. Then reported to you guys that it’s the wrong address. Though I had a call from your side to confirm my location multiple times, and the driver had my location, I shared it with him, told me he needs 21 minutes to make it and then he decided he can’t make it. I was just hoping in a much professional treatment to be given to your customers.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2377284